Bug 46683 - Recurring hang in System.Xaml on CI
Summary: Recurring hang in System.Xaml on CI
Status: RESOLVED ANSWERED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Alexander Köplinger [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-11-09 22:29 UTC by Andi McClure
Modified: 2018-02-22 22:05 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description Andi McClure 2016-11-09 22:29:02 UTC
Four times in the last week there has been a hang in the System.Xaml in the CI tests. XamlBackgroundReader tests. Two on Linux/Intel64, two on Linux/Intel32. The most recent was today.

There is a set of tests that all call into a ReadTest() function, which does nothing but take in a path and reads it in the background. The failure is always one of these tests. The hang always occurs in XamlBackgroundReader.Read (), which WaitOnes on its ManualResetEvent and never gets woken up. See:

https://jenkins.mono-project.com/job/test-mono-mainline-linux/label=ubuntu-1404-i386/1136/parsed_console/log_content.html#WARNING2
https://jenkins.mono-project.com/job/test-mono-mainline-linux/label=ubuntu-1404-amd64/1107/parsed_console/log_content.html#WARNING1
https://jenkins.mono-project.com/job/test-mono-mainline-linux/label=ubuntu-1404-amd64/1131/parsed_console/log_content.html#WARNING1

Koeplinger reviewed and believed this is an issue for the class library team.
Comment 1 Marek Safar 2018-02-22 22:05:21 UTC
We track flaky issues differently now